VLC Media Player MMS Stream Stack Based Buffer Overflow Vulnerability

VLC media player is prone to a stack-based buffer-overflow vulnerability because the application fails to perform adequate boundary checks on user-supplied input.

Attackers may leverage this issue to execute arbitrary code in the context of the application. Failed attacks will cause denial-of-service conditions.

Versions prior to VLC media player 2.0.1 are vulnerable.


 

Privacy Statement
Copyright 2010, SecurityFocus